# DocumentClassicScannerConfiguration class

Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

DocumentClassicScannerConfiguration({bool? ignoreBadAspectRatio, bool? detectDocumentAfterSnap, bool? autoSnapEnabled, double? acceptedAngleScore, double? acceptedSizeScore, List<PageAspectRatio>? requiredAspectRatios, double? autoSnapSensitivity})

## Properties

acceptedAngleScore ↔ double?
  The maximum angle of the document on preview which will be accepted as a valid document.
  read / write
acceptedSizeScore ↔ double?
  The maximum size of the document on preview which will be accepted as a valid document. 0-1 range.
  read / write
autoSnapEnabled ↔ bool?
  Whether the auto-snapping after successful document detection is enabled or not.
  read / write
autoSnapSensitivity ↔ double?
  Changes sensitivity of auto-snapping. That is: the more sensitive it is the faster it shoots. This parameter only works when `barcodeImageGenerationType = BarcodeImageGenerationType.CAPTURED_IMAGE` Sensitivity must be within (0..1) range. A value of 1.0 triggers automatic capturing immediately, a value of 0.0 delays the automatic capturing by 3 seconds.
  read / write
detectDocumentAfterSnap ↔ bool?
  Should detect document after snap? If true it will run document detection on Original image and will create document image Default - false
  read / write
detectorType → DetectorType
  final
hashCode → int
  The hash code for this object.
  read-only inherited
ignoreBadAspectRatio ↔ bool?
  read / write
requiredAspectRatios ↔ List<PageAspectRatio>?
  Expected aspect ratios of the document. If the document has a different aspect ratio it will be rejected.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited